net.sf.statcvs.util

## Class StringUtils

- java.lang.Object
- - net.sf.statcvs.util.StringUtils

    public final class StringUtils
    extends java.lang.Object

Author:
  xhensevalb

### Method Summary

Methods
`static boolean` `isNotEmpty(java.lang.String txt)`
`static java.util.List` `listify(java.lang.String str, java.lang.String delimiter)` helper method to convert a 'delimiter' separated string to a list.
`static java.lang.String` `trim(java.lang.String tok)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isNotEmpty

    public static boolean isNotEmpty(java.lang.String txt)

Returns:
  true if txt !=null and not empty.

#### listify

    public static java.util.List listify(java.lang.String str,
                         java.lang.String delimiter)

helper method to convert a 'delimiter' separated string to a list.

Parameters:
  `str` - the 'delimiter' separated string
  `delimiter` - typically a ','
Returns:
  a list

#### trim

    public static java.lang.String trim(java.lang.String tok)